Dataset
Generated on 18 Mar 2026
https://api.paperspace.com/v1
Endpoints
GET List datasets
/datasets
Authorizations:
BearerAuth
An API key or access token
List datasets
Query Parameters
after
optional
Fetch the next page of results after this cursor.
limit
1 – 120 optional
The number of items to fetch after this page.
orderBy
optional
Order results by one of these fields.
Default:dtCreatedorder
optional
The order to sort the results by.
Default:descteamId
optional
privacy
optional
PRIVATERequest: /datasets
curl -X GET \
-H "Authorization: Bearer $API_TOKEN" \
"https://api.paperspace.com/v1/datasets"Responses
200
Successful response
application/json
hasMore
required
Whether there are more pages of results available.
items
required
The items on this page.
Show child properties
description
required Nullable
The description of the dataset
dtCreated
required
The date the dataset was created
dtModified
required
The date the dataset was last modified
id
required
The ID of the dataset
isPublic
required
Whether the dataset is public
name
required Nullable
The name of the dataset
storageProviderId
required Nullable
The ID of the storage provider
teamId
required
The ID of the team that owns the dataset
nextPage
optional
The cursor required to fetch the next page of results. i.e. ?after=nextPage. This is null when there is no next page.
default
Error response
application/json
code
required
details
optional
message
required
Response
{
"hasMore": true,
"items": [
{
"description": "string",
"dtCreated": "2019-08-24T14:15:22Z",
"dtModified": "2019-08-24T14:15:22Z",
"id": "string",
"isPublic": true,
"name": "string",
"storageProviderId": "string",
"teamId": "string"
}
],
"nextPage": "string"
}{
"code": "string",
"message": "string"
}POST Create a dataset
/datasets
Authorizations:
BearerAuth
An API key or access token
Create a dataset
Request Body: application/json
description
optional Nullable
The description of the dataset
isPublic
required
Whether the dataset is public
name
required
The name of the dataset
storageProviderId
optional
The ID of the storage provider
Request: /datasets
{
"isPublic": true,
"name": "string",
"storageProviderId": "string"
}curl -X POST \
-H "Authorization: Bearer $API_TOKEN" \
-H "Content-Type: application/json" \
-d '{
"isPublic": true,
"name": "string",
"storageProviderId": "string"
}' \
"https://api.paperspace.com/v1/datasets"Responses
200
Successful response
application/json
description
required Nullable
The description of the dataset
dtCreated
required
The date the dataset was created
dtModified
required
The date the dataset was last modified
id
required
The ID of the dataset
isPublic
required
Whether the dataset is public
name
required Nullable
The name of the dataset
storageProviderId
required Nullable
The ID of the storage provider
teamId
required
The ID of the team that owns the dataset
default
Error response
application/json
code
required
details
optional
message
required
Response
{
"description": "string",
"dtCreated": "2019-08-24T14:15:22Z",
"dtModified": "2019-08-24T14:15:22Z",
"id": "string",
"isPublic": true,
"name": "string",
"storageProviderId": "string",
"teamId": "string"
}{
"code": "string",
"message": "string"
}GET List dataset versions
/datasets/{datasetId}/versions
Authorizations:
BearerAuth
An API key or access token
List dataset versions
Path Parameters
datasetId
required
The ID of the dataset
Query Parameters
after
optional
Fetch the next page of results after this cursor.
limit
1 – 120 optional
The number of items to fetch after this page.
orderBy
optional
Order results by one of these fields.
Default:dtCreatedorder
optional
The order to sort the results by.
Default:desctags
optional
Request: /datasets/{datasetId}/versions
curl -X GET \
-H "Authorization: Bearer $API_TOKEN" \
"https://api.paperspace.com/v1/datasets/{datasetId}/versions"Responses
200
Successful response
application/json
hasMore
required
Whether there are more pages of results available.
items
required
The items on this page.
Show child properties
datasetId
required
The ID of the dataset
dtCreated
required
The date the version was created
dtModified
required
The date the version was last modified
isCommitted
required
Whether the version is committed
message
required Nullable
The description of the dataset version
metadata
required Nullable
Metadata for the version.
Show child properties
(additional properties)
optional
Additional properties are allowed.
tags
required
The tags for the version
url
required Nullable
The URL of the version
usageBytes
required Nullable
The size of the dataset at this version in bytes
userId
required Nullable
The ID of the user that created the version
version
required
The version of the dataset
nextPage
optional
The cursor required to fetch the next page of results. i.e. ?after=nextPage. This is null when there is no next page.
default
Error response
application/json
code
required
details
optional
message
required
Response
{
"hasMore": true,
"items": [
{
"datasetId": "string",
"dtCreated": "2019-08-24T14:15:22Z",
"dtModified": "2019-08-24T14:15:22Z",
"isCommitted": true,
"message": "string",
"tags": [],
"url": "string",
"usageBytes": "string",
"userId": "string",
"version": "string"
}
],
"nextPage": "string"
}{
"code": "string",
"message": "string"
}POST Create a dataset version
/datasets/{datasetId}/versions
Authorizations:
BearerAuth
An API key or access token
Create a dataset version
Path Parameters
datasetId
required
The ID of the dataset
Request Body: application/json
message
optional
The description of the dataset version
metadata
optional
Metadata for the version.
Show child properties
(additional properties)
optional
Additional properties are allowed.
tags
optional
The tags for the version, comma-delimited
Request: /datasets/{datasetId}/versions
{
"message": "string",
"tags": "string"
}curl -X POST \
-H "Authorization: Bearer $API_TOKEN" \
-H "Content-Type: application/json" \
-d '{
"message": "string",
"tags": "string"
}' \
"https://api.paperspace.com/v1/datasets/{datasetId}/versions"Responses
200
Successful response
application/json
datasetId
required
The ID of the dataset
dtCreated
required
The date the version was created
dtModified
required
The date the version was last modified
isCommitted
required
Whether the version is committed
message
required Nullable
The description of the dataset version
metadata
required Nullable
Metadata for the version.
Show child properties
(additional properties)
optional
Additional properties are allowed.
tags
required
The tags for the version
url
required Nullable
The URL of the version
usageBytes
required Nullable
The size of the dataset at this version in bytes
userId
required Nullable
The ID of the user that created the version
version
required
The version of the dataset
default
Error response
application/json
code
required
details
optional
message
required
Response
{
"datasetId": "string",
"dtCreated": "2019-08-24T14:15:22Z",
"dtModified": "2019-08-24T14:15:22Z",
"isCommitted": true,
"message": "string",
"tags": [
"string"
],
"url": "string",
"usageBytes": "string",
"userId": "string",
"version": "string"
}{
"code": "string",
"message": "string"
}GET Get a dataset version
/datasets/{datasetId}/versions/{version}
Authorizations:
BearerAuth
An API key or access token
Get a dataset version
Path Parameters
datasetId
required
The ID of the dataset
version
required
The version of the dataset
Request: /datasets/{datasetId}/versions/{version}
curl -X GET \
-H "Authorization: Bearer $API_TOKEN" \
"https://api.paperspace.com/v1/datasets/{datasetId}/versions/{version}"Responses
200
Successful response
application/json
datasetId
required
The ID of the dataset
dtCreated
required
The date the version was created
dtModified
required
The date the version was last modified
isCommitted
required
Whether the version is committed
message
required Nullable
The description of the dataset version
metadata
required Nullable
Metadata for the version.
Show child properties
(additional properties)
optional
Additional properties are allowed.
tags
required
The tags for the version
url
required Nullable
The URL of the version
usageBytes
required Nullable
The size of the dataset at this version in bytes
userId
required Nullable
The ID of the user that created the version
version
required
The version of the dataset
default
Error response
application/json
code
required
details
optional
message
required
Response
{
"datasetId": "string",
"dtCreated": "2019-08-24T14:15:22Z",
"dtModified": "2019-08-24T14:15:22Z",
"isCommitted": true,
"message": "string",
"tags": [
"string"
],
"url": "string",
"usageBytes": "string",
"userId": "string",
"version": "string"
}{
"code": "string",
"message": "string"
}PUT Update a dataset version
/datasets/{datasetId}/versions/{version}
Authorizations:
BearerAuth
An API key or access token
Update a dataset version
Path Parameters
datasetId
required
The ID of the dataset
version
required
The version of the dataset
Request Body: application/json
isCommitted
optional
Whether the version is committed
message
optional
The description of the dataset version
metadata
optional
Metadata for the version.
Show child properties
(additional properties)
optional
Additional properties are allowed.
tags
optional
The tags for the version, comma-delimited
Request: /datasets/{datasetId}/versions/{version}
{
"isCommitted": true,
"message": "string",
"tags": "string"
}curl -X PUT \
-H "Authorization: Bearer $API_TOKEN" \
-H "Content-Type: application/json" \
-d '{
"isCommitted": true,
"message": "string",
"tags": "string"
}' \
"https://api.paperspace.com/v1/datasets/{datasetId}/versions/{version}"Responses
200
Successful response
application/json
datasetId
required
The ID of the dataset
dtCreated
required
The date the version was created
dtModified
required
The date the version was last modified
isCommitted
required
Whether the version is committed
message
required Nullable
The description of the dataset version
metadata
required Nullable
Metadata for the version.
Show child properties
(additional properties)
optional
Additional properties are allowed.
tags
required
The tags for the version
url
required Nullable
The URL of the version
usageBytes
required Nullable
The size of the dataset at this version in bytes
userId
required Nullable
The ID of the user that created the version
version
required
The version of the dataset
default
Error response
application/json
code
required
details
optional
message
required
Response
{
"datasetId": "string",
"dtCreated": "2019-08-24T14:15:22Z",
"dtModified": "2019-08-24T14:15:22Z",
"isCommitted": true,
"message": "string",
"tags": [
"string"
],
"url": "string",
"usageBytes": "string",
"userId": "string",
"version": "string"
}{
"code": "string",
"message": "string"
}DELETE Delete a dataset version
/datasets/{datasetId}/versions/{version}
Authorizations:
BearerAuth
An API key or access token
Delete a dataset version
Path Parameters
datasetId
required
The ID of the dataset
version
required
The version of the dataset
Request: /datasets/{datasetId}/versions/{version}
curl -X DELETE \
-H "Authorization: Bearer $API_TOKEN" \
"https://api.paperspace.com/v1/datasets/{datasetId}/versions/{version}"Responses
200
Successful response
application/json
datasetId
required
The ID of the dataset
version
required
The version of the dataset
default
Error response
application/json
code
required
details
optional
message
required
Response
{
"datasetId": "string",
"version": "string"
}{
"code": "string",
"message": "string"
}GET Get a dataset
/datasets/{id}
Authorizations:
BearerAuth
An API key or access token
Get a dataset
Path Parameters
id
required
The ID of the dataset
Request: /datasets/{id}
curl -X GET \
-H "Authorization: Bearer $API_TOKEN" \
"https://api.paperspace.com/v1/datasets/{id}"Responses
200
Successful response
application/json
description
required Nullable
The description of the dataset
dtCreated
required
The date the dataset was created
dtModified
required
The date the dataset was last modified
id
required
The ID of the dataset
isPublic
required
Whether the dataset is public
name
required Nullable
The name of the dataset
storageProviderId
required Nullable
The ID of the storage provider
teamId
required
The ID of the team that owns the dataset
default
Error response
application/json
code
required
details
optional
message
required
Response
{
"description": "string",
"dtCreated": "2019-08-24T14:15:22Z",
"dtModified": "2019-08-24T14:15:22Z",
"id": "string",
"isPublic": true,
"name": "string",
"storageProviderId": "string",
"teamId": "string"
}{
"code": "string",
"message": "string"
}PUT Update a dataset
/datasets/{id}
Authorizations:
BearerAuth
An API key or access token
Update a dataset
Path Parameters
id
required
The ID of the dataset
Request Body: application/json
description
optional Nullable
The description of the dataset
name
optional
The name of the dataset
Request: /datasets/{id}
{
"name": "string"
}curl -X PUT \
-H "Authorization: Bearer $API_TOKEN" \
-H "Content-Type: application/json" \
-d '{
"name": "string"
}' \
"https://api.paperspace.com/v1/datasets/{id}"Responses
200
Successful response
application/json
description
required Nullable
The description of the dataset
dtCreated
required
The date the dataset was created
dtModified
required
The date the dataset was last modified
id
required
The ID of the dataset
isPublic
required
Whether the dataset is public
name
required Nullable
The name of the dataset
storageProviderId
required Nullable
The ID of the storage provider
teamId
required
The ID of the team that owns the dataset
default
Error response
application/json
code
required
details
optional
message
required
Response
{
"description": "string",
"dtCreated": "2019-08-24T14:15:22Z",
"dtModified": "2019-08-24T14:15:22Z",
"id": "string",
"isPublic": true,
"name": "string",
"storageProviderId": "string",
"teamId": "string"
}{
"code": "string",
"message": "string"
}DELETE Delete a dataset
/datasets/{id}
Authorizations:
BearerAuth
An API key or access token
Delete a dataset
Path Parameters
id
required
The ID of the dataset
Request: /datasets/{id}
curl -X DELETE \
-H "Authorization: Bearer $API_TOKEN" \
"https://api.paperspace.com/v1/datasets/{id}"Responses
200
Successful response
application/json
id
required
The ID of the dataset
default
Error response
application/json
code
required
details
optional
message
required
Response
{
"id": "string"
}{
"code": "string",
"message": "string"
}